Part Cubo

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Box and the translation is 4% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎ • ‎한국어
FreeCAD.png
Siguiente: Cilindro Part Cylinder.svg Arrow-right.svg

Part Box.svg Part Cubo

Ubicación en el Menú
Pieza → Primitivas → Cubo
Entornos de trabajo
Part
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Part Crear primitivas

Description

Descripción

El comando Cubo del Banco de trabajo Part inserta un rectangular cuboid, que es una forma primitiva geométrica paramétrica, en el documento activo. Por defecto, el comando Cubo insertará un cubo de 10x10x10 mm, posicionado en el origen, con el nombre "Cubo". Estos parámetros pueden ser modificados tras la creación del objeto.

Part Box Example.png

Usage

Las propiedades se pueden editar después en la pestaña de datos del cubo:

Example

Part Box from the scripting example

A Part Box object created with the scripting example below is shown here.

Notes

  • A Part Box can also be created with the Part Primitives.svg Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Properties

See also: Property editor.

A Part Box object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Box

Box

  • DATOSLength o Longitud: Dimensiones del Cubo en la dirección X.
  • DATOSWidth o Anchura: Dimensiones del Cubo en la dirección Y.
  • DATOSHeight o Altura: Dimensiones del Cubo en la dirección Z.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

Programación

El comando Box (Cubo) puede ser usado en las macros y desde la consola de Python usando la siguiente función:

box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Donde "myBox" es el nombre del objeto Cubo.
  • Devuelve un nuevo objeto creado de tipo Cubo.

Example:

import FreeCAD as App

doc = App.activeDocument()

box = doc.addObject("Part::Box", "myBox")
box.Length = 4
box.Width = 8
box.Height = 12
box.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()


FreeCAD.png
Siguiente: Cilindro Part Cylinder.svg Arrow-right.svg